Wikis - List
Gets all wikis in a project or collection.
GET https://dev.azure.com/{organization}/{project}/_apis/wiki/wikis?api-version=7.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path |
string |
Project ID or project name |
|
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '7.1' to use this version of the api. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
WikiV2[] |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.wiki | Grants the ability to read wikis, wiki pages and wiki attachments. Also grants the ability to search wiki pages. |
Examples
| Query in collection |
| Query in project |
Query in collection
Sample request
GET https://dev.azure.com/fabrikam/_apis/wiki/wikis?api-version=7.1
Sample response
transfer-Encoding: chunked
{
"value": [
{
"id": "0ede3074-ce9f-4e0e-b9d6-20c23b774e05",
"versions": [
{
"version": "wikiMaster"
}
],
"url": "https://dev.azure.com/fabrikam/15cbba90-8ac5-450e-934c-16f43021546b/_apis/wiki/wikis/0ede3074-ce9f-4e0e-b9d6-20c23b774e05",
"remoteUrl": "https://dev.azure.com/fabrikam/15cbba90-8ac5-450e-934c-16f43021546b/_wiki/wikis/0ede3074-ce9f-4e0e-b9d6-20c23b774e05",
"type": "projectWiki",
"name": "sampleProjectWiki",
"projectId": "15cbba90-8ac5-450e-934c-16f43021546b",
"repositoryId": "0ede3074-ce9f-4e0e-b9d6-20c23b774e05",
"mappedPath": "/"
},
{
"id": "9bfc671f-8116-4b3f-9aad-c17a9d677ab6",
"versions": [
{
"version": "master"
}
],
"url": "https://dev.azure.com/fabrikam/15cbba90-8ac5-450e-934c-16f43021546b/_apis/wiki/wikis/9bfc671f-8116-4b3f-9aad-c17a9d677ab6",
"remoteUrl": "https://dev.azure.com/fabrikam/15cbba90-8ac5-450e-934c-16f43021546b/_wiki/wikis/9bfc671f-8116-4b3f-9aad-c17a9d677ab6",
"type": "codeWiki",
"name": "sampleCodeWiki",
"projectId": "15cbba90-8ac5-450e-934c-16f43021546b",
"repositoryId": "cd327f27-561b-45aa-9913-4af25ad85889",
"mappedPath": "/docs"
}
],
"count": 2
}
Query in project
Sample request
GET https://dev.azure.com/fabrikam/_apis/wiki/wikis?api-version=7.1
Sample response
transfer-Encoding: chunked
{
"value": [
{
"id": "0ede3074-ce9f-4e0e-b9d6-20c23b774e05",
"versions": [
{
"version": "wikiMaster"
}
],
"url": "https://dev.azure.com/fabrikam/15cbba90-8ac5-450e-934c-16f43021546b/_apis/wiki/wikis/0ede3074-ce9f-4e0e-b9d6-20c23b774e05",
"remoteUrl": "https://dev.azure.com/fabrikam/15cbba90-8ac5-450e-934c-16f43021546b/_wiki/wikis/0ede3074-ce9f-4e0e-b9d6-20c23b774e05",
"type": "projectWiki",
"name": "sampleProjectWiki",
"projectId": "15cbba90-8ac5-450e-934c-16f43021546b",
"repositoryId": "0ede3074-ce9f-4e0e-b9d6-20c23b774e05",
"mappedPath": "/"
},
{
"id": "9bfc671f-8116-4b3f-9aad-c17a9d677ab6",
"versions": [
{
"version": "master"
}
],
"url": "https://dev.azure.com/fabrikam/15cbba90-8ac5-450e-934c-16f43021546b/_apis/wiki/wikis/9bfc671f-8116-4b3f-9aad-c17a9d677ab6",
"remoteUrl": "https://dev.azure.com/fabrikam/15cbba90-8ac5-450e-934c-16f43021546b/_wiki/wikis/9bfc671f-8116-4b3f-9aad-c17a9d677ab6",
"type": "codeWiki",
"name": "sampleCodeWiki",
"projectId": "15cbba90-8ac5-450e-934c-16f43021546b",
"repositoryId": "cd327f27-561b-45aa-9913-4af25ad85889",
"mappedPath": "/docs"
}
],
"count": 2
}
Definitions
| Name | Description |
|---|---|
|
Git |
|
|
Git |
Version options - Specify additional modifiers to version (e.g Previous) |
|
Git |
Version type (branch, tag, or commit). Determines how Id is interpreted |
|
Wiki |
Type of the wiki. |
| WikiV2 |
Defines a wiki resource. |
GitVersionDescriptor
| Name | Type | Description |
|---|---|---|
| version |
string |
Version string identifier (name of tag/branch, SHA1 of commit) |
| versionOptions |
Version options - Specify additional modifiers to version (e.g Previous) |
|
| versionType |
Version type (branch, tag, or commit). Determines how Id is interpreted |
GitVersionOptions
Version options - Specify additional modifiers to version (e.g Previous)
| Value | Description |
|---|---|
| none |
Not specified |
| previousChange |
Commit that changed item prior to the current version |
| firstParent |
First parent of commit (HEAD^) |
GitVersionType
Version type (branch, tag, or commit). Determines how Id is interpreted
| Value | Description |
|---|---|
| branch |
Interpret the version as a branch name |
| tag |
Interpret the version as a tag name |
| commit |
Interpret the version as a commit ID (SHA1) |
WikiType
Type of the wiki.
| Value | Description |
|---|---|
| projectWiki |
Indicates that the wiki is provisioned for the team project |
| codeWiki |
Indicates that the wiki is published from a git repository |
WikiV2
Defines a wiki resource.
| Name | Type | Description |
|---|---|---|
| id |
string (uuid) |
ID of the wiki. |
| isDisabled |
boolean |
Is wiki repository disabled |
| mappedPath |
string |
Folder path inside repository which is shown as Wiki. Not required for ProjectWiki type. |
| name |
string |
Wiki name. |
| projectId |
string (uuid) |
ID of the project in which the wiki is to be created. |
| properties |
object |
Properties of the wiki. |
| remoteUrl |
string |
Remote web url to the wiki. |
| repositoryId |
string (uuid) |
ID of the git repository that backs up the wiki. Not required for ProjectWiki type. |
| type |
Type of the wiki. |
|
| url |
string |
REST url for this wiki. |
| versions |
Versions of the wiki. |